- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry Struct Reference

`#include <OgreRadixSort.h>`

List of all members.

## Public Member Functions
| SortEntry ()
| SortEntry (TCompValueType k, ContainerIter it)
## Public Attributes
TCompValueType | key
ContainerIter | iter

## Detailed Description

### template<class TContainer, class TContainerValueType, typename TCompValueType>
struct Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry

Definition at line 98 of file OgreRadixSort.h.

## Constructor & Destructor Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>

Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( |  | ) |

Definition at line 102 of file OgreRadixSort.h.

template<class TContainer, class TContainerValueType, typename TCompValueType>

Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::SortEntry | ( | TCompValueType | k,
|  | ContainerIter | it |
| ) |  |  |

Definition at line 103 of file OgreRadixSort.h.

## Member Data Documentation

template<class TContainer, class TContainerValueType, typename TCompValueType>

TCompValueType Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::key

Definition at line 100 of file OgreRadixSort.h.

template<class TContainer, class TContainerValueType, typename TCompValueType>

ContainerIter Ogre::RadixSort< TContainer, TContainerValueType, TCompValueType >::SortEntry::iter

Definition at line 101 of file OgreRadixSort.h.

The documentation for this struct was generated from the following file:

- OgreRadixSort.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:51:58 2008